﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using XAPILib;
using System.Runtime.InteropServices;

public partial class CS_XAPI : System.Web.UI.Page
{
    XAPILib.PlatformRequest XapiRequest;
    XAPILib.PlatformData OutPlatformData;
    XAPILib.PlatformData InPlatformData;
    XAPILib.PlatformResponse XapiResponse;
    
    [STAThread]
    protected void Page_Load(object sender, EventArgs e)
    {
        XapiRequest = (PlatformRequest)Server.CreateObject("XAPI.PlatformRequest");
        XapiResponse = (PlatformResponse)Server.CreateObject("XAPI.PlatformResponse");
        OutPlatformData = (PlatformData)Server.CreateObject("XAPI.PlatformData");


		XapiRequest.ReceiveData();
        XAPILib.DataSet rs;

        rs = (XAPILib.DataSet)Server.CreateObject("XAPI.DataSet");

        {
            string sLastError = XapiRequest.GetLastErrorString();
            Type typeCol = null;

            try
            {
                OutPlatformData.AddVariable("ErrorCode", sLastError);
                OutPlatformData.AddVariable("ErrorMsg", "Success");

                rs.Name = "output";


               int col = rs.AddColumn("col0", "STRING", 256);
               col = rs.AddColumn("col1", "STRING", 256);

               for (int j = 0; j <= 10; j++)
                {
                    int row = rs.NewRow();
                    for (int k = 0; k <= rs.GetColumnCount() - 1; k++)
                    {
                     
                     rs.SetValue(j, k, "TEST_"+j);
                                         }


                }

                OutPlatformData.AddDataset(rs);

            }
            catch (Exception ex)
            {
                OutPlatformData.AddVariable("ErrorCode", "-999");
                OutPlatformData.AddVariable("ErrorMsg", ex.Message);
            }
        }
        
        XapiResponse.SetData(OutPlatformData);
        XapiResponse.SendData();
    }
}
